--
-- Postgresql schema for templog2
--

create table device (
  room integer not null,
  devicename text not null,
  deviceid serial unique not null,
  description text not null,
  unique (room, devicename),
  primary key deviceid
);

create table sensor (
  deviceid serial not null,
  sensorname text not null,
  sensorid serial unique not null,
  description text not null,
  unique (deviceid, sensorname),
  primary key sensorid
);

create table sensordata (
  stamp timestamp not null,
  sensorid serial not null,
  value numeric not null,
  unique (stamp, sensorid),
  primary key stamp
);
